# VDNS Stack

## Install
```
cd /usr/local/src/
git clone https://git.stack-source.com/msb/vdns-stack.git
cd vdns-stack
bash install.sh
```

## powerdns-tools
powerdns-tools must to be installed & configured first. See:
https://git.stack-source.com/msb/powerdns-tools

## Sudo access
These scripts require root or sudo access to run.
See vpanel-stack for a fully configure sudoers file:
https://git.stack-source.com/msb/vpanel-stack
As an example, for the user 'joe' you could create this file:
`/etc/sudoers.d/joe`
with this line:
`joe ALL=(root) NOPASSWD: /usr/local/bin/vdns*.sh`

## License
Copyright (c) 2024 Matthew Saunders Brown <matthewsaundersbrown@gmail.com>\
GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
