#!/bin/bash
#
# vdns-stack
# https://git.stack-source.com/msb/vdns-stack
# Copyright (c) 2024 Matthew Saunders Brown <matthewsaundersbrown@gmail.com>
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

if [[ ! -f /usr/local/sbin/pdns.sh ]] || [[ ! -f /usr/local/etc/pdns.conf ]]; then
  echo "powerdns-tools must be installed and configured first."
  echo "See https://git.stack-source.com/msb/powerdns-tools"
  exit
else
  chmod 755 bin/*
  cp bin/* /usr/local/bin/
fi
